Subject: [AAA-WG]: Diameter Multimedia Application - New AVP

From: "Carolina Canales Valenzuela (ECE)" <[email-masked]>
Date: Thu, 11 Apr 2002 14:53:41 +0200

Hello,
although I know that the WG will not discuss any issue that is not related with the main drafts until these are ready, I have some comments for the editor of the Diameter Multimedia Application (http://search.ietf.org/internet-drafts/draft-johansson-aaa-diameter-mm-app-01.txt ), and I think it is interesting to share them with the whole WG.

I'd like to add a new AVP to the grouped AVP SIP-Auth-Data-Item.

The name of this new AVP would be "SIP-Authentication-Info AVP" and would contain additional authentication information that can be sent from the AAA server to the user terminal as stated in RFC2617 "HTTP Authentication: Basic and Digest Access Authentication" (e.g., next nonce) when Digest authentication is used . The content of this AVP would be mapped to the SIP Authentication-Info header upon its reception by the SIP server.

This would be the new definition of the SIP-Auth-Data-Item AVP (sect 6.13)considering this:

SIP-Auth-Data-Item :: = < AVP Header : TBD >
                            [ SIP-Item-Number ]
                            [ SIP-Authentication-Scheme ]
                            [ SIP-Authenticate ]
                            [ SIP-Authorization ]
				    [ SIP-Authentication-Info ]
                            [ SIP-Authentication-Context ]
                          * [ NAS-Session-Key ]
                          * [ AVP ]

and this would be the definition of the AVP, to be added to text:

x.x   SIP-Authentication-Info AVP

The SIP-Authentication-Info AVP (AVP Code TBD)is of type OctetString and contains additional authentication information sent by the AAA server in case of Digest authentication. It follows the format defined in RFC2617 for the Authentication-Info Header (sect 3.2.3).
The content of this AVP would be mapped to the SIP Authentication-Info header upon its reception by the SIP server.

Any comments/objections?

BR,
Carolina

Carolina Canales-Valenzuela
Systems Engineer 
UMTS/GSM Systems Management
R&D Center 
Ericsson España, S.A.        

Ombú, 3                  	Phone: +34 91 339 2680              
28045 Madrid		Fax:    +34 91 339 2538 
SPAIN 
e-mail: [email-masked]